GNU bug report logs - #47161
28.0.50; [feature/native-comp] Failure to native-compile bytecomp.el etc.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; dated Mon, 15 Mar 2021 15:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 16 Mar 2021 18:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 14:29:18 2021
Received: from localhost ([127.0.0.1]:41030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMERR-0006Bm-U7
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:29:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lMERO-0006BN-Tu
 for 47161 <at> debbugs.gnu.org; Tue, 16 Mar 2021 14:29:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43528)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lMERJ-00041v-Cv; Tue, 16 Mar 2021 14:29:09 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3461
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lMERG-0007nV-JG; Tue, 16 Mar 2021 14:29:08 -0400
Date: Tue, 16 Mar 2021 20:29:20 +0200
Message-Id: <83eegfdkan.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <xjf7dm7xe52.fsf@HIDDEN> (message from Andrea Corallo on Tue, 16
 Mar 2021 16:22:01 +0000)
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN> <xjfczw0zadq.fsf@HIDDEN>
 <834khcfhw7.fsf@HIDDEN> <xjf4khcyyh5.fsf@HIDDEN>
 <83mtv3dzyq.fsf@HIDDEN> <xjf7dm7xe52.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47161 <at> debbugs.gnu.org
> Date: Tue, 16 Mar 2021 16:22:01 +0000
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > What I did was modified byte-opt.el, saved, and said "make".
> 
> I can reproduce it.

Good news, thanks.

> >> Also, shouldn't byte-opt.el be native compiled as it's in COMPILE_FIRST?
> >
> > That bothers me as well.  It happens from time to time: for example,
> > I've just updated from Git, which brought modified bytecomp.el and
> > comp.el, both in COMPILE_FIRST.  And yet this is what I see when I say
> > "make":
> >
> >   make -C lisp all
> >   make[1]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
> >   make -C ../leim all EMACS="../src/emacs.exe"
> >   make -C ../admin/grammars all EMACS="../../src/emacs.exe"
> >   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/admin/grammars'
> >   make[2]: Nothing to be done for `all'.
> >   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/admin/grammars'
> >   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/leim'
> >   make[2]: Nothing to be done for `all'.
> >   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/leim'
> >   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
> >     ELC      emacs-lisp/bytecomp.elc
> >   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
> >   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
> >     ELC      emacs-lisp/comp.elc
> >   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
> >   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
> >   make[2]: Nothing to be done for `compile-targets'.
> >   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
> >
> > Why not "ELC+ELN"?
> 
> AFAICS using "make V=1" we fail only to add the correct "ELC+ELN" in
> place of "ELC" but we invoke the right command, will try to have a look.

Thanks.

> Regarding the macro expansion issue I tried to have a quick look but I'm
> not very much into cl-generic.el and couldn't spot any obvious (for me)
> issue so far.

Perhaps Stefan could help us out here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 16 Mar 2021 16:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 12:22:06 2021
Received: from localhost ([127.0.0.1]:40858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMCSL-00033O-VZ
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 12:22:06 -0400
Received: from mx.sdf.org ([205.166.94.24]:58623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lMCSI-000331-SF
 for 47161 <at> debbugs.gnu.org; Tue, 16 Mar 2021 12:22:04 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12GGM1GQ004602
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 16 Mar 2021 16:22:01 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN> <xjfczw0zadq.fsf@HIDDEN>
 <834khcfhw7.fsf@HIDDEN> <xjf4khcyyh5.fsf@HIDDEN>
 <83mtv3dzyq.fsf@HIDDEN>
Date: Tue, 16 Mar 2021 16:22:01 +0000
In-Reply-To: <83mtv3dzyq.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 16 Mar
 2021 14:50:53 +0200")
Message-ID: <xjf7dm7xe52.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: 47161 <at> debbugs.gnu.org
>> Date: Mon, 15 Mar 2021 20:05:10 +0000
>> 
>> >     ELC      emacs-lisp/byte-opt.elc
>> >   Compiler-macro error for cl--block-wrapper: (error "(setf seq-elt) is already defined as something else than a generic function")
>> >   Eager macro-expansion failure: (error "(setf seq-elt) is already defined as something else than a generic function")
>> >
>> > What causes this?
>> 
>> ATM I've no idea, but it doesn't look to me evidently related to native
>> compilation.  How can I reproduce it?
>
> What I did was modified byte-opt.el, saved, and said "make".

I can reproduce it.

>> Also, shouldn't byte-opt.el be native compiled as it's in COMPILE_FIRST?
>
> That bothers me as well.  It happens from time to time: for example,
> I've just updated from Git, which brought modified bytecomp.el and
> comp.el, both in COMPILE_FIRST.  And yet this is what I see when I say
> "make":
>
>   make -C lisp all
>   make[1]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
>   make -C ../leim all EMACS="../src/emacs.exe"
>   make -C ../admin/grammars all EMACS="../../src/emacs.exe"
>   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/admin/grammars'
>   make[2]: Nothing to be done for `all'.
>   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/admin/grammars'
>   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/leim'
>   make[2]: Nothing to be done for `all'.
>   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/leim'
>   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
>     ELC      emacs-lisp/bytecomp.elc
>   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
>   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
>     ELC      emacs-lisp/comp.elc
>   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
>   make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
>   make[2]: Nothing to be done for `compile-targets'.
>   make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
>
> Why not "ELC+ELN"?

AFAICS using "make V=1" we fail only to add the correct "ELC+ELN" in
place of "ELC" but we invoke the right command, will try to have a look.

Regarding the macro expansion issue I tried to have a quick look but I'm
not very much into cl-generic.el and couldn't spot any obvious (for me)
issue so far.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 16 Mar 2021 12:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 16 08:50:46 2021
Received: from localhost ([127.0.0.1]:38428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM99q-0005dd-Gs
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:50:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lM99p-0005dR-CQ
 for 47161 <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:50:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37894)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lM99k-0004vi-19; Tue, 16 Mar 2021 08:50:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2287
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lM99j-0005fv-9v; Tue, 16 Mar 2021 08:50:39 -0400
Date: Tue, 16 Mar 2021 14:50:53 +0200
Message-Id: <83mtv3dzyq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf4khcyyh5.fsf@HIDDEN> (message from Andrea Corallo on Mon, 15
 Mar 2021 20:05:10 +0000)
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN> <xjfczw0zadq.fsf@HIDDEN>
 <834khcfhw7.fsf@HIDDEN> <xjf4khcyyh5.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47161 <at> debbugs.gnu.org
> Date: Mon, 15 Mar 2021 20:05:10 +0000
> 
> >     ELC      emacs-lisp/byte-opt.elc
> >   Compiler-macro error for cl--block-wrapper: (error "(setf seq-elt) is already defined as something else than a generic function")
> >   Eager macro-expansion failure: (error "(setf seq-elt) is already defined as something else than a generic function")
> >
> > What causes this?
> 
> ATM I've no idea, but it doesn't look to me evidently related to native
> compilation.  How can I reproduce it?

What I did was modified byte-opt.el, saved, and said "make".

> Also, shouldn't byte-opt.el be native compiled as it's in COMPILE_FIRST?

That bothers me as well.  It happens from time to time: for example,
I've just updated from Git, which brought modified bytecomp.el and
comp.el, both in COMPILE_FIRST.  And yet this is what I see when I say
"make":

  make -C lisp all
  make[1]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
  make -C ../leim all EMACS="../src/emacs.exe"
  make -C ../admin/grammars all EMACS="../../src/emacs.exe"
  make[2]: Entering directory `/d/gnu/git/emacs/native-comp/admin/grammars'
  make[2]: Nothing to be done for `all'.
  make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/admin/grammars'
  make[2]: Entering directory `/d/gnu/git/emacs/native-comp/leim'
  make[2]: Nothing to be done for `all'.
  make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/leim'
  make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
    ELC      emacs-lisp/bytecomp.elc
  make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
  make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
    ELC      emacs-lisp/comp.elc
  make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'
  make[2]: Entering directory `/d/gnu/git/emacs/native-comp/lisp'
  make[2]: Nothing to be done for `compile-targets'.
  make[2]: Leaving directory `/d/gnu/git/emacs/native-comp/lisp'

Why not "ELC+ELN"?

Note that this happens when we do "make -C lisp all" from the src
directory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 15 Mar 2021 20:05:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 16:05:14 2021
Received: from localhost ([127.0.0.1]:37268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLtSj-00081n-Op
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 16:05:14 -0400
Received: from mx.sdf.org ([205.166.94.24]:54359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lLtSh-00081b-LH
 for 47161 <at> debbugs.gnu.org; Mon, 15 Mar 2021 16:05:12 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12FK5Agu006489
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 15 Mar 2021 20:05:10 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN> <xjfczw0zadq.fsf@HIDDEN>
 <834khcfhw7.fsf@HIDDEN>
Date: Mon, 15 Mar 2021 20:05:10 +0000
In-Reply-To: <834khcfhw7.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 15 Mar
 2021 19:26:00 +0200")
Message-ID: <xjf4khcyyh5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: 47161 <at> debbugs.gnu.org
>> Date: Mon, 15 Mar 2021 15:48:01 +0000
>> 
>> >   $ emacs -batch -l comp -f batch-byte-native-compile-for-bootstrap ../lisp/emacs-lisp/bytecomp.el
>> >   Debugger entered--Lisp error: (wrong-type-argument "../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>)
>> >     signal(wrong-type-argument ("../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>))
>> >     comp--native-compile("../lisp/emacs-lisp/bytecomp.el")
>> >     batch-native-compile()
>> >     batch-byte-native-compile-for-bootstrap()
>> >     command-line-1(("-l" "comp" "-f" "batch-byte-native-compile-for-bootstrap" "../lisp/emacs-lisp/bytecomp.el"))
>> >     command-line()
>> >     normal-top-level()
>> >
>> > Am I doing something wrong?
>> 
>> Actually no, 7f74ed4912 fix for me.
>
> And I guess we also need a similar fix in byte-opt.el?  I installed
> it.

Right thanks

> I also suddenly see another byte-compilation message:
>
>     ELC      emacs-lisp/byte-opt.elc
>   Compiler-macro error for cl--block-wrapper: (error "(setf seq-elt) is already defined as something else than a generic function")
>   Eager macro-expansion failure: (error "(setf seq-elt) is already defined as something else than a generic function")
>
> What causes this?

ATM I've no idea, but it doesn't look to me evidently related to native
compilation.  How can I reproduce it?

Also, shouldn't byte-opt.el be native compiled as it's in COMPILE_FIRST?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 15 Mar 2021 17:25:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 13:25:59 2021
Received: from localhost ([127.0.0.1]:36813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLqyc-0001Uk-PB
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:25:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lLqya-0001UW-Hm
 for 47161 <at> debbugs.gnu.org; Mon, 15 Mar 2021 13:25:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47575)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lLqyU-0001vb-VM; Mon, 15 Mar 2021 13:25:50 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2468
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lLqyU-0006qV-4R; Mon, 15 Mar 2021 13:25:50 -0400
Date: Mon, 15 Mar 2021 19:26:00 +0200
Message-Id: <834khcfhw7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfczw0zadq.fsf@HIDDEN> (message from Andrea Corallo on Mon, 15
 Mar 2021 15:48:01 +0000)
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN> <xjfczw0zadq.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 47161 <at> debbugs.gnu.org
> Date: Mon, 15 Mar 2021 15:48:01 +0000
> 
> >   $ emacs -batch -l comp -f batch-byte-native-compile-for-bootstrap ../lisp/emacs-lisp/bytecomp.el
> >   Debugger entered--Lisp error: (wrong-type-argument "../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>)
> >     signal(wrong-type-argument ("../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>))
> >     comp--native-compile("../lisp/emacs-lisp/bytecomp.el")
> >     batch-native-compile()
> >     batch-byte-native-compile-for-bootstrap()
> >     command-line-1(("-l" "comp" "-f" "batch-byte-native-compile-for-bootstrap" "../lisp/emacs-lisp/bytecomp.el"))
> >     command-line()
> >     normal-top-level()
> >
> > Am I doing something wrong?
> 
> Actually no, 7f74ed4912 fix for me.

And I guess we also need a similar fix in byte-opt.el?  I installed
it.

I also suddenly see another byte-compilation message:

    ELC      emacs-lisp/byte-opt.elc
  Compiler-macro error for cl--block-wrapper: (error "(setf seq-elt) is already defined as something else than a generic function")
  Eager macro-expansion failure: (error "(setf seq-elt) is already defined as something else than a generic function")

What causes this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at 47161 <at> debbugs.gnu.org:


Received: (at 47161) by debbugs.gnu.org; 15 Mar 2021 15:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 11:48:07 2021
Received: from localhost ([127.0.0.1]:36450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLpRu-0006uD-N1
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 11:48:06 -0400
Received: from mx.sdf.org ([205.166.94.24]:55909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lLpRs-0006u3-DZ
 for 47161 <at> debbugs.gnu.org; Mon, 15 Mar 2021 11:48:05 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 12FFm1go028485
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Mon, 15 Mar 2021 15:48:03 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#47161: 28.0.50; [feature/native-comp] Failure to
 native-compile bytecomp.el etc.
References: <837dm8fncz.fsf@HIDDEN>
Date: Mon, 15 Mar 2021 15:48:01 +0000
In-Reply-To: <837dm8fncz.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 15 Mar
 2021 17:27:56 +0200")
Message-ID: <xjfczw0zadq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47161
Cc: 47161 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Suddenly manual native-compilation of some files fails.  Example:
>
>   $ emacs -batch -l comp -f batch-byte-native-compile-for-bootstrap ../lisp/emacs-lisp/bytecomp.el
>   Debugger entered--Lisp error: (wrong-type-argument "../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>)
>     signal(wrong-type-argument ("../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>))
>     comp--native-compile("../lisp/emacs-lisp/bytecomp.el")
>     batch-native-compile()
>     batch-byte-native-compile-for-bootstrap()
>     command-line-1(("-l" "comp" "-f" "batch-byte-native-compile-for-bootstrap" "../lisp/emacs-lisp/bytecomp.el"))
>     command-line()
>     normal-top-level()
>
> Am I doing something wrong?

Actually no, 7f74ed4912 fix for me.

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2021 15:27:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 15 11:27:51 2021
Received: from localhost ([127.0.0.1]:36394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLp8I-0006Gl-Sy
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 11:27:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:38032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lLp8F-0006Ga-Eh
 for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 11:27:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42514)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1lLp8F-0005DP-7z
 for bug-gnu-emacs@HIDDEN; Mon, 15 Mar 2021 11:27:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44058)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1lLp8E-0002NP-Vm
 for bug-gnu-emacs@HIDDEN; Mon, 15 Mar 2021 11:27:46 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2545
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1lLp8D-0006NU-Sn
 for bug-gnu-emacs@HIDDEN; Mon, 15 Mar 2021 11:27:46 -0400
Date: Mon, 15 Mar 2021 17:27:56 +0200
Message-Id: <837dm8fncz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [feature/native-comp] Failure to native-compile
 bytecomp.el etc.
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Suddenly manual native-compilation of some files fails.  Example:

  $ emacs -batch -l comp -f batch-byte-native-compile-for-bootstrap ../lisp/emacs-lisp/bytecomp.el
  Debugger entered--Lisp error: (wrong-type-argument "../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>)
    signal(wrong-type-argument ("../lisp/emacs-lisp/bytecomp.el" listp #<subr byte-compile-form>))
    comp--native-compile("../lisp/emacs-lisp/bytecomp.el")
    batch-native-compile()
    batch-byte-native-compile-for-bootstrap()
    command-line-1(("-l" "comp" "-f" "batch-byte-native-compile-for-bootstrap" "../lisp/emacs-lisp/bytecomp.el"))
    command-line()
    normal-top-level()

Am I doing something wrong?

In GNU Emacs 28.0.50 (build 40, i686-pc-mingw32)
 of 2021-03-15 built on HOME-C4E4A596F7
Repository revision: aabda4263bc2000a69e61e93a232e71f8afedec9
Repository branch: feature/native-comp
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Configured using:
 'configure -C --prefix=/d/usr --with-wide-int --with-native-compilation
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
XPM ZLIB

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads w32notify
w32 lcms2 multi-tty make-network-process nativecomp emacs)

Memory information:
((conses 16 73614 8612)
 (symbols 48 7803 0)
 (strings 16 22574 2563)
 (string-bytes 1 660985)
 (vectors 16 13350)
 (vector-slots 8 274690 9788)
 (floats 8 24 41)
 (intervals 40 263 110)
 (buffers 888 10))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47161; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 16 Mar 2021 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.